package solver

import (
	"sync/atomic"

	"gitea.ligthert.net/golang/sudoku-funpark/controller"
)

// Solve a given Sudoku puzzle by iterating through all possible solutions.
type Solver struct {
	Controller *controller.Controller
	row1s      []int
	row2s      []int
	row3s      []int
	row4s      []int
	row5s      []int
	row6s      []int
	row7s      []int
	row8s      []int
	row9s      []int
	Iter       int64
	counter    atomic.Int64
	rates      []int64
}
